# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%global old_eumm %(perl -MExtUtils::MakeMaker -e 'print (($ExtUtils::MakeMaker::VERSION < 6.30) ? 1 : 0);' 2>/dev/null || echo 0)

# We need to patch the test suite if we have an old version of Test::More
%global old_test_more %(perl -MTest::More -e 'print (($Test::More::VERSION < 0.88) ? 1 : 0);' 2>/dev/null || echo 0)

Name:		perl-Data-Section-Simple
Version:	0.05
Release:	2.%{__distinit}%{__distvers}
Summary:	Read data from __DATA__
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		https://github.com/miyagawa/Data-Section-Simple
Source0:	http://cpan.metacpan.org/authors/id/M/MI/MIYAGAWA/Data-Section-Simple-%{version}.tar.gz
Patch1:		Data-Section-Simple-0.04-old-Test::More.patch
Patch2:		Data-Section-Simple-0.05-old-EU::MM.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
# Build
BuildRequires:	perl(ExtUtils::MakeMaker)
# Module
BuildRequires:	perl(base)
BuildRequires:	perl(Exporter)
# Test Suite
BuildRequires:	perl(lib)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod) >= 1.41
# Runtime
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
Data::Section::Simple is a simple module to extract data from the __DATA__
section of the file.

%prep
%setup -q -n Data-Section-Simple-%{version}

# Hack for old Test::More versions
%if %{old_test_more}
%patch1 -p1
%endif

# We don't really need ExtUtils::MakeMaker ≥ 6.30
%if %{old_eumm}
%patch2
%endif

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} \;
%{_fixperms} %{buildroot}

%check
make test RELEASE_TESTING=1

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/Data/
%{_mandir}/man3/Data::Section::Simple.3pm*

%changelog
* Tue Jul 16 2013 Paul Howarth <paul@city-fan.org> - 0.05-2
- Perl 5.18 rebuild

* Tue Jun 11 2013 Paul Howarth <paul@city-fan.org> - 0.05-1
- Update to 0.05
  - Use MakeMaker
- Revert to ExtUtils::MakeMaker flow
- Add patch to support building with ExtUtils::MakeMaker < 6.30

* Mon May 20 2013 Paul Howarth <paul@city-fan.org> - 0.04-2
- Use Module::Build::Tiny's new --create_packlist option

* Fri Mar 29 2013 Paul Howarth <paul@city-fan.org> - 0.04-1
- Update to 0.04
  - Do not throw exceptions when there's no template
    (https://github.com/miyagawa/Data-Section-Simple/pull/2)
- URL moved to github
- Source0 moved to MetaCPAN
- Package upstream's new LICENSE file
- Switch to Module::Build::Tiny flow
- Update patch for building with Test::More < 0.88

* Wed Jun 20 2012 Paul Howarth <paul@city-fan.org> - 0.03-3
- BR: perl(base), perl(Cwd), perl(Exporter) and perl(lib)
- Don't need to remove empty directories from the buildroot
- Drop support for old distributions prior to FC-3:
  - Don't need to define %%{perl_vendorlib}
  - Use DESTDIR rather than PERL_INSTALL_ROOT
  - Drop patch supporting building with Perl 5.8.0

* Mon Sep 19 2011 Paul Howarth <paul@city-fan.org> - 0.03-1
- Update to 0.03
  - Noted the use of utf8 pragma
  - Doc typo fixes (Util)

* Wed Aug  3 2011 Paul Howarth <paul@city-fan.org> - 0.02-1
- Initial RPM version
